"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils_1 = require("../../../../helpers/utils");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Remove extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Remove);
        await (0, utils_1.lbAllowlistRemove)(this, args.name, args.cidrBlock);
    }
}
exports.default = Remove;
Remove.description = 'Remove an IP or range of IPs from the Load balancer allowlist';
Remove.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Remove.args = [{ name: 'name', required: true },
    { name: 'cidrBlock', required: true }];
