"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
const core_1 = require("@oclif/core");
const _ = require("lodash");
const uris = require("../../../helpers/uris");
class List extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.regionList = async () => {
            var _a, _b;
            try {
                const regions = (await this.req.get(uris.regions)).data;
                const dataTable = [];
                dataTable.push(['Region', 'Description']);
                _.each(regions, function (r) {
                    dataTable.push([r.id, r.name]);
                });
                await this.show(dataTable, regions);
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        await this.regionList();
    }
}
exports.default = List;
List.description = 'Lists all supported regions';
List.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
List.args = [{ name: 'file' }];
