"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../helpers/utils");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
class Describe extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.vpcDesc = async (name) => {
            var _a, _b;
            try {
                const vpc = await (0, utils_1.getVpcByName)(this.session.selectedOrganization.id, name);
                const output = await (0, utils_1.showVpc)(vpc, this);
                await this.show(output, JSON.stringify(output));
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Describe);
        await this.vpcDesc(args.name);
    }
}
exports.default = Describe;
Describe.description = 'Show VPC details';
Describe.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
Describe.args = [{ name: 'name' }];
