"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../../helpers/utils");
const uris = require("../../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Unset extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.vpcDNSServersUnset = async (name) => {
            var _a, _b, _c;
            const orgId = this.session.selectedOrganization.id;
            try {
                const vpc = await utils.getVpcByName(orgId, name);
                const body = {
                    internalDns: {
                        specialDomains: [],
                        dnsServers: [],
                    },
                };
                const response = await this.req.put(uris.vpc(orgId, vpc.id), body);
                if ((_a = response.data) === null || _a === void 0 ? void 0 : _a.erros) {
                    this.error(response.data.errors.map((error) => error.message).join(', '));
                }
                this.log('VPC DNS modified successfully');
            }
            catch (error) {
                ((_c = (_b = error === null || error === void 0 ? void 0 : error.response) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Unset);
        await this.vpcDNSServersUnset(args.name);
    }
}
exports.default = Unset;
Unset.description = 'Clears the list domain names that are resolved using your internal DNS servers';
Unset.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Unset.args = [{ name: 'name', required: true }];
