"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../../helpers/utils");
class Add extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { flags } = await this.parse(Add);
        await (0, utils_1.modifyVpcAssociations)(this, 'add', 'associatedEnvironments', flags.default);
    }
}
exports.default = Add;
Add.description = 'Modifies the VPC association to Runtime Manager environments.';
Add.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    default: core_1.Flags.boolean({ description: 'Also add the VPC as the organization default VPC', default: false }),
};
Add.args = [
    {
        name: 'vpc',
        required: true,
    },
    {
        name: 'environments...',
        required: true,
    },
];
Add.strict = false;
