"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../../helpers/utils");
const cloudhubUris = require("../../../../helpers/uris");
class Remove extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.vpcFWRulesRemove = async (args) => {
            var _a, _b;
            try {
                const vpc = await (0, utils_1.getVpcByName)(this.session.selectedOrganization.id, args.vpc);
                vpc.firewallRules.splice(args.index, 1);
                delete vpc.hash;
                const url = cloudhubUris.vpc(this.session.selectedOrganization.id, vpc.id);
                await this.req.put(url, vpc);
                this.log('VPC firewall modified successfully');
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Remove);
        await this.vpcFWRulesRemove(args);
    }
}
exports.default = Remove;
Remove.description = 'Remove a firewall rule for Mule applications in this VPC';
Remove.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Remove.args = [{ name: 'vpc', required: true },
    { name: 'index', required: true }];
