"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const uris_1 = require("../../../helpers/uris");
class Delete extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.appDelete = async (name) => {
            const orgId = this.session.selectedOrganization.id;
            const envId = this.session.selectedEnvironment.id;
            await this.req.delete((0, uris_1.cloudHub2App)(orgId, envId, name));
            this.log(name, 'deleted');
        };
    }
    async run() {
        const { args } = await this.parse(Delete);
        await this.appDelete(args.name);
    }
}
exports.default = Delete;
Delete.description = 'Delete a cloudhub application';
Delete.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
};
Delete.args = [{ name: 'name', required: true }];
