"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../helpers/utils");
class Stop extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.appStop = async (args) => {
            const orgId = this.session.selectedOrganization.id;
            const envId = this.session.selectedEnvironment.id;
            await (0, utils_1.updateApplicationStateExt)(this, orgId, envId, args.appId, 'STOPPED');
        };
    }
    async run() {
        const { args } = await this.parse(Stop);
        await this.appStop(args);
    }
}
exports.default = Stop;
Stop.description = 'Stop a running cloudhub application';
Stop.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
};
Stop.args = [{ name: 'appId', required: true }];
