import Vpc from './vpc';
export default interface LoadBalancer {
    id: string;
    name: string;
    domain: string;
    state: string;
    deploymentId: string;
    ipAddresses: string[];
    ipAllowlist: string[];
    httpMode: string;
    defaultSslEndpoint: number;
    sslEndpoints: SslEndpoint[];
    staticIPsDisabled: boolean;
    vpcId: string;
    vpc: Vpc;
    workers: number;
    defaultCipherSuite: string;
    keepUrlEncoding: boolean;
    tlsv1: boolean;
    upstreamTlsv12: boolean;
    proxyReadTimeout: number;
    ipAddressesInfo: IpAddressInfo[];
    doubleStaticIps: boolean;
}
interface SslEndpoint {
    privateKeyDigest: string;
    publicKeyLabel: string;
    publicKeyDigest: string;
    publicKeyCN: string;
    publicKeySANs: string[];
    privateKeyLabel: string;
    clientCertCN: string;
    verifyClientMode: string;
    revocationListDigest: string;
    revocationListSerial: string;
    revocationListLastUpdate: string;
    revocationListNextUpdate: string;
    mappings: SslEndpointMapping[];
}
interface SslEndpointMapping {
    inputUri: string;
    appName: string;
    appUri: string;
    upstreamProtocol: string;
}
interface IpAddressInfo {
    ip: string;
    status: string;
    staticIp: boolean;
}
export {};
